Bug 175210 - security/nmap 6.25 does not build on FreeBSD 7.4-RELEASE-p10 i386
Summary: security/nmap 6.25 does not build on FreeBSD 7.4-RELEASE-p10 i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-11 13:40 UTC by Jürgen
Modified: 2013-01-13 22:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jürgen 2013-01-11 13:40:00 UTC
# portupgrade -aR
       ~snip~
cc -O2 -Wall  -O2 -fno-strict-aliasing -pipe -I/usr/include -Wall -fno-strict-aliasing   -DLUA_USE_POSIX -DLUA_USE_DLOPEN -I./liblinear -I./liblua -I/usr/local/include/lua51 -I./libdnet-stripped/include -I/usr/local/include  -I/usr/include -I./nbase -I./nsock/include -DHAVE_CONFIG_H -DNMAP_NAME=\"Nmap\" -DNMAP_URL=\"http://nmap.org\" -DNMAP_PLATFORM=\"i386-portbld-freebsd7.4\" -DNMAPDATADIR=\"/usr/local/share/nmap\" -D_FORTIFY_SOURCE=2  -c -o liolib.o liolib.c
liolib.c: In function 'f_seek':
liolib.c:543: error: 'off_t' undeclared (first use in this function)
liolib.c:543: error: (Each undeclared identifier is reported only once
liolib.c:543: error: for each function it appears in.)
liolib.c:543: error: expected ';' before 'offset'
liolib.c:544: error: 'offset' undeclared (first use in this function)
gmake[1]: *** [liolib.o] Error 1
gmake[1]: Leaving directory `/usr/ports/security/nmap/work/nmap-6.25/liblua'
gmake: *** [lua_build] Error 2
*** Error code 1

Stop in /usr/ports/security/nmap.
** Command failed [exit code 1]: /usr/local/libexec/pkgtools/script -qa /tmp/portupgrade20130111-49433-1o5ive0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=nmap-6.01_1 UPGRADE_PORT_VER=6.01_1 make
** Fix the problem and try again.
--->  Build of security/nmap ended at: Fri, 11 Jan 2013 10:32:34 +0100 (consumed 00:03:43)
--->  Saving the log as '/var/log/portupgrade/security::nmap.log'
--->  Upgrade of security/nmap ended at: Fri, 11 Jan 2013 10:32:34 +0100 (consumed 00:03:43)
--->  ** Upgrade tasks 2: 1 done, 0 ignored, 0 skipped and 1 failed
--->  Listing the results (+:done / -:ignored / *:skipped / !:failed)
        + security/p5-Net-SSLeay (p5-Net-SSLeay-1.51 -> p5-Net-SSLeay-1.52)
        ! security/nmap (nmap-6.01_1)   (compiler error)
--->  Packages processed: 1 done, 0 ignored, 0 skipped and 1 failed
--->  Saving the results to '/var/log/portupgrade/portupgrade.results'
--->  Session ended at: Fri, 11 Jan 2013 10:32:38 +0100 (consumed 00:09:07)

How-To-Repeat: # portinstall /usr/ports/security/nmap
Comment 1 Edwin Groothuis freebsd_committer 2013-01-12 08:01:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olli Hauer freebsd_committer 2013-01-13 22:43:56 UTC
State Changed
From-To: open->closed

I just commited a fix, build should now be OK on FreeBSD-7.4